Util
Keywords: uk.ac.ic.doc.automed.matching.Util class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class Util

    java.lang.Object
      uk.ac.ic.doc.automed.matching.Util

    public class Util

extends java.lang.Object

Constructor Summary
`Util()`

Method Summary
`static int` | `countAppearances(java.lang.String s, char c)`
`static double[]` | `getAppearances(java.lang.String[] instances, char feature)`
`static double` | `getAverage(double[] numbers)`
`static double` | `getAverageAppearances(java.lang.String[] instances, char feature)`
`static double` | `getMaximum(double[] numbers)`
`static double` | `getMedium(double[] numbers)`
`static double` | `getMinimum(double[] numbers)`
`static double[]` | `getNumbers(java.lang.String[] strings)`
`static double` | `getStandardDeviation(double[] numbers)`
`static double` | `getStandardDeviation(double[] numbers, double mean)`
`static void` | `printDate(java.lang.String msg)`
`static int` | `random(int max)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### printDate

    public static void printDate(java.lang.String msg)

### random

    public static int random(int max)

### getNumbers

    public static double[] getNumbers(java.lang.String[] strings)
                               throws UninstantiatedException

  Throws:
    `UninstantiatedException`

### getMaximum

    public static double getMaximum(double[] numbers)
                             throws UninstantiatedException

  Throws:
    `UninstantiatedException`

### getMinimum

    public static double getMinimum(double[] numbers)
                             throws UninstantiatedException

  Throws:
    `UninstantiatedException`

### getMedium

    public static double getMedium(double[] numbers)
                            throws UninstantiatedException

  Throws:
    `UninstantiatedException`

### getAverage

    public static double getAverage(double[] numbers)
                             throws UninstantiatedException

  Throws:
    `UninstantiatedException`

### getStandardDeviation

    public static double getStandardDeviation(double[] numbers)
                                       throws UninstantiatedException

  Throws:
    `UninstantiatedException`

### getStandardDeviation

    public static double getStandardDeviation(double[] numbers,
                                              double mean)
                                       throws UninstantiatedException

  Throws:
    `UninstantiatedException`

### getAverageAppearances

    public static double getAverageAppearances(java.lang.String[] instances,
                                               char feature)
                                        throws UninstantiatedException

  Throws:
    `UninstantiatedException`

### getAppearances

    public static double[] getAppearances(java.lang.String[] instances,
                                          char feature)
                                   throws UninstantiatedException

  Throws:
    `UninstantiatedException`

### countAppearances

    public static int countAppearances(java.lang.String s,
                                       char c)
                                throws UninstantiatedException

  Throws:
    `UninstantiatedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD